Practice #1 (Kaboom!)
=====================

## Requirements

<img src="https://i.imgur.com/euHEqlL.png" width="200">

<img src="https://i.imgur.com/c21riRf.png" width="200">

Create a game app for the Android or iOS platform that generates random instructions for the user to perform with standard UI components on the screen such as text and password fields, toggles, buttons, and sliders to disarm an imaginary bomb in the game.

* Your app MUST include at least the following components on iOS:
  * TextField
  * SecureField
  * Button
  * Toggle
  * Stepper
  * Slider

* Your app MUST include at least the following components on Android:
  * TextField
  * TextField used as a Password Field
  * Button
  * Switch
  * RadioButton
  * Checkbox
  * Slider

* Your app MUST include appropritate controls crossplatform from iOS or Android on Flutter:
 
* If the instructions are followed correctly by the user and the disarm button is pressed, show a vector image with any appropriate success symbol covering the screen. Hide the disarm button.

* If just a single instruction was NOT followed correctly by the user, show a raster image of an explosion covering the screen. Hide the disarm button.

* It is up to you to select the images, but ensure they are not offensive. Ensure that the success image is vector-based and the explosion image is raster-based. Both of them must be of an acceptable resolution and size.

* The app should contain a button to restart/reset the game at any point in the game logic.

* The app should target a common phone form factor. You may limit your app to work only in that mode in the project's configurations.

* The app should target the portrait screen mode. You may limit your app to work only in that mode in the project's configurations.

* The app should be of acceptable visual quality.

* A certain level of creative freedom is acceptable here as long as you have all the components and logic outlined here and during the classes.

### Android

* [Android Studio](https://developer.android.com/studio)
* [Jetpack Compose](https://developer.android.com/jetpack/compose)

### iOS

* [Xcode](https://developer.apple.com/xcode)
* [SwiftUI](https://developer.apple.com/documentation/swiftui)

### Flutter

* [Flutter](https://flutter.dev)
* [Dart](https://dart.dev)
