Practice #2 (Countries)
=======================

<img src="https://i.imgur.com/WUZV9J1.png" width="400">

## Requirements

Create an app that shows information about countries. The first view of the app should show the list of countries loaded
from the `https://restcountries.com` service in the JSON format. The tap on the country should open a new view with details about the selected country. It is up to you what details to show, but at least show four different fields. It would be nice if some of those fields a graphical in nature (a flag, or a map of the country boundaries).

* The app should target a common phone form factor. You may limit your app to work only in that mode in the project's configurations.

* The app should target the portrait screen mode. You may limit your app to work only in that mode in the project's configurations.

* The app should be of acceptable visual quality.

* A certain level of creative freedom is acceptable here as long as you have all the components and logic outlined here and during the classes.

### Android

* [Navigation with Jetpack Compose](https://developer.android.com/jetpack/compose/navigation)
* [Network Operations Overview](https://developer.android.com/training/basics/network-ops)
* [Retrofit](https://square.github.io/retrofit/)

### iOS

* [NavigationView in SwiftUI](https://developer.apple.com/documentation/swiftui/navigationview)
* [iOS Networking](https://developer.apple.com/documentation/network)
* [Alamofire](https://github.com/Alamofire/Alamofire)

### Flutter

* [Navigation in Flutter](https://docs.flutter.dev/cookbook/navigation/navigation-basics)
* [Flutter Networking](https://docs.flutter.dev/data-and-backend/networking)
